Skip to main content
GET
/
investors
/
{investor_id}
/
compliance
/
workflows
/
{workflow_id}
Get a compliance workflow's status
curl --request GET \
  --url https://api.bluumfinance.com/v1/investors/{investor_id}/compliance/workflows/{workflow_id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "checks": [
    {
      "check_type": "<string>",
      "status": "<string>",
      "provider": "<string>",
      "external_id": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

investor_id
string
required

The prefixed public id of the investor (e.g. inv_…).

workflow_id
string
required

Prefixed public id of the compliance workflow (e.g. cw_…).

Response

Workflow status retrieved successfully.

id
string<uuid>

Unique identifier for the compliance workflow.

status
enum<string>

Current status of the workflow:

  • in_progress: One or more checks are still pending.
  • pending_review: All checks complete, but manual review is needed (HIGH risk).
  • approved: All checks passed and workflow is approved.
  • rejected: One or more checks failed or risk level is PROHIBITED.
Available options:
in_progress,
pending_review,
approved,
rejected,
suspended,
expired
risk_level
enum<string> | null

Assessed risk level after all checks complete.

Available options:
low,
medium,
high,
prohibited
checks
object[]
created_at
string<date-time>
updated_at
string<date-time>